> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plurex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Host Markets

> List available markets for a specific host



## OpenAPI

````yaml POST /api/v1/hosts/query/ListMarkets
openapi: 3.1.0
info:
  title: Plurex Platform API
  description: >
    Plurex Platform API uses a Command & Query Separation (CQS) architecture.

    All state-changing operations are 'commands' and read-only operations are
    'queries'.

    Both use HTTP POST with JSON payloads.

    No conformity to REST, all inputs are in the body of the request.
  version: 1.0.0
servers:
  - url: https://api.plurex.io
    description: Production server
security:
  - ApiKeyAuth: []
    ApiSecretAuth: []
paths:
  /api/v1/hosts/query/ListMarkets:
    post:
      tags:
        - Hosts
      summary: List available markets for a specific host
      operationId: listHostMarkets
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HostMarketQuery'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseSuccessPageResponseEnvelope'
                  - type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/HostMarketSummary'
components:
  schemas:
    HostMarketQuery:
      allOf:
        - $ref: '#/components/schemas/BasePageQuery'
        - type: object
          required:
            - hostId
          properties:
            hostId:
              type: string
              description: ID of the execution host to query
            base:
              type: string
            quote:
              type: string
            type:
              type: string
    BaseSuccessPageResponseEnvelope:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          required:
            - items
          properties:
            items:
              type: array
              items:
                type: object
            nextCursor:
              type: string
              nullable: true
              description: Use this value in the next request to fetch the following page.
    HostMarketSummary:
      type: object
      properties:
        instrument:
          $ref: '#/components/schemas/Instrument'
        limitOrderPolicies:
          $ref: '#/components/schemas/OrderPolicies'
        marketOrderPolicies:
          $ref: '#/components/schemas/OrderPolicies'
        triggerLimitOrderPolicies:
          $ref: '#/components/schemas/OrderPolicies'
    BasePageQuery:
      type: object
      properties:
        cursor:
          type: string
          nullable: true
    BaseResponse:
      type: object
      required:
        - traceId
        - serverTime
      properties:
        traceId:
          type: string
          format: uuid
          description: Unique identifier for tracing.
        serverTime:
          type: string
          format: date-time
          description: RFC3339 timestamp of processing.
        warnings:
          type: array
          items:
            type: string
    Instrument:
      type: object
      properties:
        base:
          type: string
        quote:
          type: string
        marketType:
          type: string
    OrderPolicies:
      type: object
      properties:
        quoteIncrement:
          $ref: '#/components/schemas/MoneyValue'
        baseIncrement:
          $ref: '#/components/schemas/MoneyValue'
        minBaseSize:
          $ref: '#/components/schemas/MoneyValue'
        minQuoteValue:
          $ref: '#/components/schemas/MoneyValue'
        reduceOnlySupported:
          type: boolean
        supportedTif:
          type: array
          items:
            $ref: '#/components/schemas/OrderLimitTif'
        assetPolicy:
          $ref: '#/components/schemas/MarketAssetPolicy'
    MoneyValue:
      type: string
      description: String-encoded BigDecimal for high precision monetary values.
    OrderLimitTif:
      type: string
      enum:
        - GTC
        - FOK
      description: Time-in-force policy for limit orders.
    MarketAssetPolicy:
      type: string
      enum:
        - QuoteOnBuyBaseOnSell
        - BaseOnly
        - Flexible
      description: Asset policy for market orders.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    ApiSecretAuth:
      type: apiKey
      in: header
      name: X-API-SECRET

````